@REM Licensed Materials - Property of IBM
@REM 5655-W05, 5655-W09, 5724-L01, 5724-I82, 5724-M24, 5724-M23
@REM (c) Copyright IBM Corporation 2014. All Rights Reserved.
@REM US Government Users Restricted Rights- Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.
@setlocal
@echo off

IF  "%~1%" == "" GOTO done

if not exist %1 ( echo Invalid installation root.... ) & goto :done
set WAS_HOME=%~1%
SET WAS_HOME_TMP=%WAS_HOME%

set JAVA71_HOME=%WAS_HOME%\java_1.7.1_64
SET JAVA71_HOME_TMP=%WAS_HOME%
@if not exist "%JAVA71_HOME%\jre\bin" goto java7
@if not exist "%JAVA71_HOME%\bin"  goto java7
goto java71

:java7
set JAVA7_HOME=%WAS_HOME%\java_1.7_64
SET JAVA7_HOME_TMP=%WAS_HOME%
@if not exist "%JAVA7_HOME%\jre\bin" goto done
@if not exist "%JAVA7_HOME%\bin"  goto done
call "%WAS_HOME%\bin\managesdk.bat" -setCommandDefault -sdkname 1.7_64 
call "%WAS_HOME%\bin\managesdk.bat" -setNewProfileDefault -sdkname 1.7_64 
echo java7 enabled
GOTO done

:java71
call "%WAS_HOME%\bin\managesdk.bat" -setCommandDefault -sdkname 1.7.1_64 
call "%WAS_HOME%\bin\managesdk.bat" -setNewProfileDefault -sdkname 1.7.1_64 
echo java7.1 enabled
GOTO done

:done